## linux-liquorix 6.9

=== debian/changelog ===
linux-liquorix (6.9-9~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert all changes for the zstd switch for kernel and module compression.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 21 Jul 2024 09:10:22 -0700

linux-liquorix (6.9-9ubuntu1~jammy) jammy; urgency=medium

  * merge 6.9.10
  * update version to 6.9.10-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 18 Jul 2024 12:32:37 -0500

linux-liquorix (6.9-8) unstable; urgency=medium

  * merge 6.9.9
  * update version to 6.9.9-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 11 Jul 2024 10:35:23 -0500

linux-liquorix (6.9-7) unstable; urgency=medium

  * merge 6.9.8
  * update version to 6.9.8-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 07 Jul 2024 18:38:46 -0500

linux-liquorix (6.9-6) unstable; urgency=medium

  * merge 6.9.7
  * update version to 6.9.7-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 28 Jun 2024 14:32:44 -0500

linux-liquorix (6.9-5) unstable; urgency=medium

  * merge 6.9.6
  * update version to 6.9.6-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 22 Jun 2024 14:59:21 -0500

linux-liquorix (6.9-4) unstable; urgency=medium

  * merge 6.9.5
  * update version to 6.9.5-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 17 Jun 2024 08:41:47 -0500

linux-liquorix (6.9-3) unstable; urgency=medium

  * merge 6.9.4
  * add EPP enhancements for Meteor/Arrow Lake CPUs
  * update version to 6.9.4-1

 -- Steven Barrett <steven@liquorix.net>  Wed, 12 Jun 2024 08:59:32 -0500

linux-liquorix (6.9-2) unstable; urgency=medium

  * properly set version to 6.9.3-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 02 Jun 2024 13:42:42 -0500

linux-liquorix (6.9-1) unstable; urgency=medium

  * switch to kernel 6.9
  * merge 6.9.3
  * adjust PDS timeslice shift to 4ms for RQ clock updates
  * update version to 6.9.3-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 02 Jun 2024 10:03:58 -0500

linux-liquorix (6.8-19) unstable; urgency=medium

  * tune PDS timeslice shift from 8ms to 2ms for RQ clock updates
  * update version to 6.8.12-2

 -- Steven Barrett <steven@liquorix.net>  Sat, 01 Jun 2024 15:10:06 -0500

linux-liquorix (6.8-18) unstable; urgency=medium

  * merge 6.8.12
  * update version to 6.8.12-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 30 May 2024 12:14:01 -0500

linux-liquorix (6.8-17) unstable; urgency=medium

  * merge 6.8.11
  * cleanup / resync config management
  * generate vmlinux.h file for BPF tooling
  * update version to 6.8.11-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 27 May 2024 09:03:11 -0500

linux-liquorix (6.8-16) unstable; urgency=medium

  * update ntsync to ntsync5 from v5 patch set
  * set CONFIG_NTSYNC=y again as module doesn't dynamically load
  * update version to 6.8.10-2

 -- Steven Barrett <steven@liquorix.net>  Wed, 22 May 2024 18:23:31 -0500

linux-liquorix (6.8-15) unstable; urgency=medium

  * merge 6.8.10
  * update version to 6.8.10-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 17 May 2024 11:24:00 -0500

linux-liquorix (6.8-14) unstable; urgency=medium

  * remove "rcuupdate.rcu_expedited=1" from cmdline
  * update version to 6.8.9-5

 -- Steven Barrett <steven@liquorix.net>  Sat, 11 May 2024 18:19:52 -0500

linux-liquorix (6.8-13) unstable; urgency=medium

  * disable CONFIG_RCU_BOOST
  * update version to 6.8.9-4

 -- Steven Barrett <steven@liquorix.net>  Sat, 11 May 2024 17:36:17 -0500

linux-liquorix (6.8-12) unstable; urgency=medium

  * add patches to fix recent AMDGPU regression with resizable bar
  * reenable CONFIG_WQ_POWER_EFFICIENT_DEFAULT due to potential bug being off
  * update version to 6.8.9-3

 -- Steven Barrett <steven@liquorix.net>  Thu, 09 May 2024 13:08:53 -0500

linux-liquorix (6.8-11) unstable; urgency=medium

  * force vm.max_map_count to 2 billion, make sysctl RO
  * update version to 6.8.9-2

 -- Steven Barrett <steven@liquorix.net>  Mon, 06 May 2024 18:49:19 -0500

linux-liquorix (6.8-10) unstable; urgency=medium

  * merge 6.8.9
  * refresh config due to changes in config options
  * enable CONFIG_FTRACE_SYSCALLS
  * update version to 6.8.9-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 02 May 2024 15:18:14 -0500

linux-liquorix (6.8-9) unstable; urgency=medium

  * merge 6.8.8
  * update version to 6.8.8-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 28 Apr 2024 08:58:12 -0500

=== debian/control ===
Source: linux-liquorix
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Standards-Version: 3.9.8
Build-Depends: debhelper, cpio, python3-six, bc, bison, libelf-dev, libpfm4-dev, libssl-dev, flex, xz-utils, pahole | dwarves:native, pkgconf | pkg-config, systemtap-sdt-dev, libcap-dev, libpci-dev, asciidoctor, libaudit-dev, libbabeltrace-dev, libdw-dev, libiberty-dev, libnewt-dev, libnuma-dev, libperl-dev, libtraceevent-dev, libunwind-dev, python3-dev, python3-setuptools, gcc [amd64]
Homepage: http://www.liquorix.net/
Vcs-Browser: https://github.com/damentz/liquorix-package
Vcs-Git: https://github.com/damentz/liquorix-package.git
XSBC-Original-Maintainer: Steven Barrett <steven@liquorix.net>

Package: linux-image-6.9.10-1-liquorix-amd64
Architecture: amd64
Provides: wireguard-modules
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools [amd64] | linux-initramfs-tool [amd64]
Recommends: ${kernel:Recommends}, firmware-linux-free | linux-firmware, firmware-linux-nonfree | linux-firmware
Suggests: linux-doc-6.9, crda [amd64], grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Description: Linux 6.9 for 64-bit PCs
 The Linux kernel 6.9 and modules for use on PCs with AMD64 or Intel 64
 processors.

Package: linux-image-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-image-6.9.10-1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-liquorix-amd64 (= ${binary:Version})
Description: Linux image for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Provides: linux-headers
Depends: linux-headers-6.9.10-1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-6.9.10-1-liquorix-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, gcc
Description: Header files for Linux 6.9.10-1-liquorix-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.9.10-1-liquorix-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.9.10-1-liquorix-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.9.10-1-liquorix-amd64 package.

## linux-liquorix 6.10

=== debian/changelog ===
linux-liquorix (6.10-8~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert all changes for the zstd switch for kernel and module compression.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 05 Sep 2024 10:06:28 -0700

linux-liquorix (6.10-8ubuntu1~jammy) jammy; urgency=medium

  * merge 6.10.8
  * update version to 6.10.8-1

 -- Steven Barrett <steven@liquorix.net>  Wed, 04 Sep 2024 11:27:45 -0500

linux-liquorix (6.10-7) unstable; urgency=medium

  * merge 6.10.7
  * update Project-C to v6.10-prjc-r2
  * update version to 6.10.7-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 30 Aug 2024 11:08:42 -0500

linux-liquorix (6.10-6) unstable; urgency=medium

  * reenable CONFIG_IRQ_TIME_ACCOUNTING
  * update version to 6.10.6-2

 -- Steven Barrett <steven@liquorix.net>  Tue, 20 Aug 2024 10:05:02 -0500

linux-liquorix (6.10-5) unstable; urgency=medium

  * merge 6.10.6
  * update version to 6.10.6-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 19 Aug 2024 14:12:02 -0500

linux-liquorix (6.10-4) unstable; urgency=medium

  * merge 6.10.5
  * update version to 6.10.5-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 15 Aug 2024 14:29:08 -0500

linux-liquorix (6.10-3) unstable; urgency=medium

  * add fixes
   - btrfs: only run the extent map shrinker from kswapd tasks
   - drm/i915/display: correct dual pps handling for MTL_PCH+
  * update version to 6.10.4-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 11 Aug 2024 16:14:07 -0500

linux-liquorix (6.10-2) unstable; urgency=medium

  * merge 6.10.4
  * update Project-C to v6.10-prjc-r1
  * update version to 6.10.4-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 11 Aug 2024 10:14:02 -0500

linux-liquorix (6.10-1) unstable; urgency=medium

  * switch to kernel 6.10
  * merge 6.10.3
  * update config for 6.10.3
  * update version to 6.10.3-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 04 Aug 2024 19:12:55 -0500

linux-liquorix (6.9-12) unstable; urgency=medium

  * add AMD HDMI audio fix
   - ALSA: hda: Conditionally use snooping for AMD HDMI
  * update version to 6.9.12-2

 -- Steven Barrett <steven@liquorix.net>  Fri, 02 Aug 2024 11:58:21 -0500

linux-liquorix (6.9-11) unstable; urgency=medium

  * merge 6.9.12
  * update version to 6.9.12-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 28 Jul 2024 11:18:28 -0500

linux-liquorix (6.9-10) unstable; urgency=medium

  * merge 6.9.11
  * update version to 6.9.11-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 25 Jul 2024 08:09:34 -0500

linux-liquorix (6.9-9) unstable; urgency=medium

  * merge 6.9.10
  * update version to 6.9.10-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 18 Jul 2024 12:32:37 -0500

=== debian/control ===
Source: linux-liquorix
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Standards-Version: 3.9.8
Build-Depends: debhelper, cpio, python3-six, bc, bison, libelf-dev, libpfm4-dev, libssl-dev, flex, xz-utils, pahole | dwarves:native, pkgconf | pkg-config, systemtap-sdt-dev, libcap-dev, libpci-dev, asciidoctor, libaudit-dev, libbabeltrace-dev, libdw-dev, libiberty-dev, libnewt-dev, libnuma-dev, libperl-dev, libtraceevent-dev, libunwind-dev, python3-dev, python3-setuptools, gcc [amd64]
Homepage: http://www.liquorix.net/
Vcs-Browser: https://github.com/damentz/liquorix-package
Vcs-Git: https://github.com/damentz/liquorix-package.git
XSBC-Original-Maintainer: Steven Barrett <steven@liquorix.net>

Package: linux-image-6.10.8-1-liquorix-amd64
Architecture: amd64
Provides: wireguard-modules
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools [amd64] | linux-initramfs-tool [amd64]
Recommends: ${kernel:Recommends}, firmware-linux-free | linux-firmware, firmware-linux-nonfree | linux-firmware
Suggests: linux-doc-6.10, crda [amd64], grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Description: Linux 6.10 for 64-bit PCs
 The Linux kernel 6.10 and modules for use on PCs with AMD64 or Intel 64
 processors.

Package: linux-image-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-image-6.10.8-1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-liquorix-amd64 (= ${binary:Version})
Description: Linux image for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Provides: linux-headers
Depends: linux-headers-6.10.8-1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-6.10.8-1-liquorix-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, gcc
Description: Header files for Linux 6.10.8-1-liquorix-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.10.8-1-liquorix-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.10.8-1-liquorix-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.10.8-1-liquorix-amd64 package.

## linux-liquorix 6.11

=== debian/changelog ===
linux-liquorix (6.11-11~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * Go back to using xz kernel and module compression now that Tim has fixed
    builds for gcc-10.
  * Add fix_FTBFS_on_gcc-10.patch and force_march=x86-64_to_fix_dkms_FTB.patch. 
    Thanks, Tim! [woohoo!]
  * debian/rules: Add "export CONFIG_X86_64_VERSION=1" to fix new FTBFS on 
    Bullseye, also fixed by Tim.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 08 Nov 2024 23:59:36 -0800

linux-liquorix (6.11-11ubuntu1~jammy) jammy; urgency=medium

  * merge v6.11.7
  * update version to 6.11.7-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 08 Nov 2024 12:16:00 -0600

linux-liquorix (6.11-10) unstable; urgency=medium

  * merge v6.11.6
  * update version to 6.11.6-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 01 Nov 2024 14:44:12 -0500

linux-liquorix (6.11-9) unstable; urgency=medium

  * merge v6.11.5
  * update version to 6.11.5-1

 -- Steven Barrett <steven@liquorix.net>  Tue, 22 Oct 2024 09:57:57 -0500

linux-liquorix (6.11-8) unstable; urgency=medium

  * add fixes for bluetooth and netfilter
   - Bluetooth: btusb: Don't fail external suspend requests
   - netfilter: xtables: avoid NFPROTO_UNSPEC where needed
   - Bluetooth: btusb: Fix not being able to reconnect after suspend
   - netfilter: xtables: fix a bunch of typos causing some targets to not load on IPv6
  * update version to 6.11.4-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 20 Oct 2024 13:23:56 -0500

linux-liquorix (6.11-7) unstable; urgency=medium

  * merge v6.11.4
  * update version to 6.11.4-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 17 Oct 2024 16:03:26 -0500

linux-liquorix (6.11-6) unstable; urgency=medium

  * add AMD dGPU power profile fix
  * update version to 6.11.3-4

 -- Steven Barrett <steven@liquorix.net>  Wed, 16 Oct 2024 11:08:12 -0500

linux-liquorix (6.11-5) unstable; urgency=medium

  * disable CONFIG_ZBUD=y
  * update version to 6.11.3-3

 -- Steven Barrett <steven@liquorix.net>  Sun, 13 Oct 2024 18:32:05 -0500

linux-liquorix (6.11-4) unstable; urgency=medium

  * refresh config for v6.11.3
   - change zswap allocator from z3fold to zsmalloc
   - set CONFIG_PROC_MEM_ALWAYS_FORCE=y
   - other miscellaneous sync-up
  * update version to 6.11.3-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 13 Oct 2024 16:54:01 -0500

linux-liquorix (6.11-3) unstable; urgency=medium

  * merge v6.11.3
  * update version to 6.11.3-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 10 Oct 2024 09:18:42 -0500

linux-liquorix (6.11-2) unstable; urgency=medium

  * merge v6.11.2
  * revert patches
   - ZEN: mm: Stop kswapd early when nothing's waiting for it to free pages
  * disable CONFIG_SLAB_BUCKETS
  * update version to 6.11.2-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 04 Oct 2024 13:53:16 -0500

linux-liquorix (6.11-1) unstable; urgency=medium

  * switch to v6.11
  * update version to 6.11.1-1

 -- Steven Barrett <steven@liquorix.net>  Tue, 01 Oct 2024 17:20:32 -0500

linux-liquorix (6.10-16) unstable; urgency=medium

  * merge 6.10.12
  * update version to 6.10.12-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 30 Sep 2024 10:26:57 -0500

linux-liquorix (6.10-15) unstable; urgency=medium

  * add fix for GPU stutter
   - Partially revert "drm/amd/amdgpu: add pipe1 hardware support"
  * update version to 6.10.11-2

 -- Steven Barrett <steven@liquorix.net>  Sat, 21 Sep 2024 09:41:49 -0500

linux-liquorix (6.10-14) unstable; urgency=medium

  * merge 6.10.11
  * update version to 6.10.11-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 20 Sep 2024 12:11:01 -0500

linux-liquorix (6.10-13) unstable; urgency=medium

  * add sync-up patches for Project-C from 6.10.5
  * update version to 6.10.10-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 15 Sep 2024 14:53:58 -0500

linux-liquorix (6.10-12) unstable; urgency=medium

  * merge 6.10.10
  * update version to 6.10.10-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 12 Sep 2024 12:21:51 -0500

linux-liquorix (6.10-11) unstable; urgency=medium

  * merge 6.10.9
  * update version to 6.10.9-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 08 Sep 2024 09:41:04 -0500

linux-liquorix (6.10-10) unstable; urgency=medium

  * reset to v6.10.8-lqx2 with fixes for PCI / thunderbolt and AMDGPU
    performance regression
  - update version to 6.10.8-3

 -- Steven Barrett <steven@liquorix.net>  Sat, 07 Sep 2024 13:12:42 -0500

linux-liquorix (6.10-9) unstable; urgency=medium

  * reset to v6.10.7-lqx1 patch to avoid PCI / thunderbolt bug
  * update version to 6.10.8-2

 -- Steven Barrett <steven@liquorix.net>  Thu, 05 Sep 2024 12:22:04 -0500

linux-liquorix (6.10-8) unstable; urgency=medium

  * merge 6.10.8
  * update version to 6.10.8-1

 -- Steven Barrett <steven@liquorix.net>  Wed, 04 Sep 2024 11:27:45 -0500

=== debian/control ===
Source: linux-liquorix
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Standards-Version: 3.9.8
Build-Depends: debhelper, cpio, python3-six, bc, bison, libelf-dev, libpfm4-dev, libssl-dev, flex, xz-utils, pahole | dwarves:native, pkgconf | pkg-config, systemtap-sdt-dev, libcap-dev, libpci-dev, asciidoctor, libaudit-dev, libbabeltrace-dev, libdw-dev, libiberty-dev, libnewt-dev, libnuma-dev, libperl-dev, libtraceevent-dev, libunwind-dev, python3-dev, python3-setuptools, gcc [amd64]
Homepage: http://www.liquorix.net/
Vcs-Browser: https://github.com/damentz/liquorix-package
Vcs-Git: https://github.com/damentz/liquorix-package.git
XSBC-Original-Maintainer: Steven Barrett <steven@liquorix.net>

Package: linux-image-6.11.7-1-liquorix-amd64
Architecture: amd64
Provides: wireguard-modules
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools [amd64] | linux-initramfs-tool [amd64]
Recommends: ${kernel:Recommends}, firmware-linux-free | linux-firmware, firmware-linux-nonfree | linux-firmware
Suggests: linux-doc-6.11, crda [amd64], grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Description: Linux 6.11 for 64-bit PCs
 The Linux kernel 6.11 and modules for use on PCs with AMD64 or Intel 64
 processors.

Package: linux-image-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-image-6.11.7-1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-liquorix-amd64 (= ${binary:Version})
Description: Linux image for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Provides: linux-headers
Depends: linux-headers-6.11.7-1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-6.11.7-1-liquorix-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, gcc
Description: Header files for Linux 6.11.7-1-liquorix-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.11.7-1-liquorix-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.11.7-1-liquorix-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.11.7-1-liquorix-amd64 package.

=== debian/rules ===
#!/usr/bin/make -f

SHELL    := sh -e
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
SOURCE := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')
VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -ne 's,.*+b\(.*\)$$,\1,p')
export CONFIG_X86_64_VERSION=1

include debian/rules.defs

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  DEBIAN_KERNEL_JOBS := $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
ifdef DEBIAN_KERNEL_JOBS
  MAKEFLAGS += -j$(DEBIAN_KERNEL_JOBS)
endif

.NOTPARALLEL:

source: debian/control
	dh_testdir
	$(MAKE) -f debian/rules.gen source

setup: debian/control
	dh_testdir
	$(MAKE) -f debian/rules.gen setup_$(DEB_HOST_ARCH)

build: build-arch build-indep

build-arch: debian/control
	dh_testdir
	$(MAKE) -f debian/rules.gen build-arch_$(DEB_HOST_ARCH)

build-indep: debian/control
	dh_testdir
	$(MAKE) -f debian/rules.gen build-indep

binary:	binary-indep binary-arch

binary-arch:
	dh_testdir
	$(MAKE) -f debian/rules.gen binary-arch_$(DEB_HOST_ARCH)

binary-indep:
	dh_testdir
	$(MAKE) -f debian/rules.gen binary-indep

get-orig-source:
	$(CURDIR)/debian/scripts/dfsg-prune $(VERSION) $(VERSION_UPSTREAM) $(VERSION_BINNMU)

maintainerclean:
	rm -f debian/config.defines.dump debian/control debian/control.md5sum debian/linux-* debian/rules.gen debian/po/*.po
	rm -rf $(filter-out debian .svk .svn .git, $(wildcard * .[^.]*)) debian/linux-*

clean: debian/control
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR) debian/lib/python/debian_linux/*.pyc debian/lib/python/debian_linux/__pycache__ $$(find debian -maxdepth 1 -type d -name 'linux-*') debian/*-modules-*-di* debian/kernel-image-*-di* debian/xen-linux-system-*
	dh_clean

CONTROL_FILES = debian/changelog $(wildcard debian/templates/*.in)
CONTROL_FILES += debian/config/defines $(wildcard debian/config/*/defines) $(wildcard debian/config/*/*/defines)
CONTROL_FILES += $(wildcard debian/installer/*/kernel-versions) $(wildcard debian/installer/*/package-list)
debian/control debian/rules.gen: debian/bin/gencontrol.py $(CONTROL_FILES)
ifeq ($(wildcard debian/control.md5sum),)
	$(MAKE) -f debian/rules debian/control-real
else ifeq ($(VERSION_BINNMU),)
	md5sum --check debian/control.md5sum --status || \
		$(MAKE) -f debian/rules debian/control-real
else
	grep -v debian/changelog debian/control.md5sum | md5sum --check - --status || \
		$(MAKE) -f debian/rules debian/control-real
endif

debian/control-real: debian/bin/gencontrol.py $(CONTROL_FILES)
	$<
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

.PHONY: clean build setup binary-indep binary-arch binary

## linux-liquorix 6.12

=== drivers/firmware/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the linux kernel.
#
obj-$(CONFIG_ARM_SCPI_PROTOCOL)	+= arm_scpi.o
obj-$(CONFIG_ARM_SDE_INTERFACE)	+= arm_sdei.o
obj-$(CONFIG_DMI)		+= dmi_scan.o
obj-$(CONFIG_DMI_SYSFS)		+= dmi-sysfs.o
obj-$(CONFIG_EDD)		+= edd.o
obj-$(CONFIG_DMIID)		+= dmi-id.o
obj-$(CONFIG_INTEL_STRATIX10_SERVICE) += stratix10-svc.o
obj-$(CONFIG_INTEL_STRATIX10_RSU)     += stratix10-rsu.o
obj-$(CONFIG_ISCSI_IBFT_FIND)	+= iscsi_ibft_find.o
obj-$(CONFIG_ISCSI_IBFT)	+= iscsi_ibft.o
obj-$(CONFIG_FIRMWARE_MEMMAP)	+= memmap.o
obj-$(CONFIG_MTK_ADSP_IPC)	+= mtk-adsp-ipc.o
obj-$(CONFIG_RASPBERRYPI_FIRMWARE) += raspberrypi.o
obj-$(CONFIG_FW_CFG_SYSFS)	+= qemu_fw_cfg.o
obj-$(CONFIG_SYSFB)		+= sysfb.o
obj-$(CONFIG_SYSFB_SIMPLEFB)	+= sysfb_simplefb.o
obj-$(CONFIG_TI_SCI_PROTOCOL)	+= ti_sci.o
obj-$(CONFIG_TRUSTED_FOUNDATIONS) += trusted_foundations.o
obj-$(CONFIG_TURRIS_MOX_RWTM)	+= turris-mox-rwtm.o

obj-y				+= arm_ffa/
obj-y				+= arm_scmi/
obj-y				+= broadcom/
obj-y				+= cirrus/
obj-y				+= meson/
obj-y				+= microchip/
obj-$(CONFIG_GOOGLE_FIRMWARE)	+= google/
obj-y				+= efi/
obj-y				+= imx/
obj-y				+= psci/
obj-y				+= qcom/
obj-y				+= smccc/
obj-y				+= tegra/
obj-y				+= xilinx/

=== drivers/hwmon/pmbus/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for PMBus chip drivers.
#

obj-$(CONFIG_PMBUS)		+= pmbus_core.o
obj-$(CONFIG_SENSORS_PMBUS)	+= pmbus.o
obj-$(CONFIG_SENSORS_ACBEL_FSG032) += acbel-fsg032.o
obj-$(CONFIG_SENSORS_ADM1266)	+= adm1266.o
obj-$(CONFIG_SENSORS_ADM1275)	+= adm1275.o
obj-$(CONFIG_SENSORS_ADP1050)	+= adp1050.o
obj-$(CONFIG_SENSORS_BEL_PFE)	+= bel-pfe.o
obj-$(CONFIG_SENSORS_BPA_RS600)	+= bpa-rs600.o
obj-$(CONFIG_SENSORS_DELTA_AHE50DC_FAN) += delta-ahe50dc-fan.o
obj-$(CONFIG_SENSORS_FSP_3Y)	+= fsp-3y.o
obj-$(CONFIG_SENSORS_IBM_CFFPS)	+= ibm-cffps.o
obj-$(CONFIG_SENSORS_DPS920AB)	+= dps920ab.o
obj-$(CONFIG_SENSORS_INSPUR_IPSPS) += inspur-ipsps.o
obj-$(CONFIG_SENSORS_IR35221)	+= ir35221.o
obj-$(CONFIG_SENSORS_IR36021)	+= ir36021.o
obj-$(CONFIG_SENSORS_IR38064)	+= ir38064.o
obj-$(CONFIG_SENSORS_IRPS5401)	+= irps5401.o
obj-$(CONFIG_SENSORS_ISL68137)	+= isl68137.o
obj-$(CONFIG_SENSORS_LM25066)	+= lm25066.o
obj-$(CONFIG_SENSORS_LT7182S)	+= lt7182s.o
obj-$(CONFIG_SENSORS_LTC2978)	+= ltc2978.o
obj-$(CONFIG_SENSORS_LTC3815)	+= ltc3815.o
obj-$(CONFIG_SENSORS_LTC4286)	+= ltc4286.o
obj-$(CONFIG_SENSORS_MAX15301)	+= max15301.o
obj-$(CONFIG_SENSORS_MAX16064)	+= max16064.o
obj-$(CONFIG_SENSORS_MAX16601)	+= max16601.o
obj-$(CONFIG_SENSORS_MAX20730)	+= max20730.o
obj-$(CONFIG_SENSORS_MAX20751)	+= max20751.o
obj-$(CONFIG_SENSORS_MAX31785)	+= max31785.o
obj-$(CONFIG_SENSORS_MAX34440)	+= max34440.o
obj-$(CONFIG_SENSORS_MAX8688)	+= max8688.o
obj-$(CONFIG_SENSORS_MP2856)	+= mp2856.o
obj-$(CONFIG_SENSORS_MP2888)	+= mp2888.o
obj-$(CONFIG_SENSORS_MP2891)	+= mp2891.o
obj-$(CONFIG_SENSORS_MP2975)	+= mp2975.o
obj-$(CONFIG_SENSORS_MP2993)	+= mp2993.o
obj-$(CONFIG_SENSORS_MP5023)	+= mp5023.o
obj-$(CONFIG_SENSORS_MP5920)	+= mp5920.o
obj-$(CONFIG_SENSORS_MP5990)	+= mp5990.o
obj-$(CONFIG_SENSORS_MP9941)	+= mp9941.o
obj-$(CONFIG_SENSORS_MPQ7932)	+= mpq7932.o
obj-$(CONFIG_SENSORS_MPQ8785)	+= mpq8785.o
obj-$(CONFIG_SENSORS_PLI1209BC)	+= pli1209bc.o
obj-$(CONFIG_SENSORS_PM6764TR)	+= pm6764tr.o
obj-$(CONFIG_SENSORS_PXE1610)	+= pxe1610.o
obj-$(CONFIG_SENSORS_Q54SJ108A2)	+= q54sj108a2.o
obj-$(CONFIG_SENSORS_STPDDC60)	+= stpddc60.o
obj-$(CONFIG_SENSORS_TDA38640)	+= tda38640.o
obj-$(CONFIG_SENSORS_TPS40422)	+= tps40422.o
obj-$(CONFIG_SENSORS_TPS53679)	+= tps53679.o
obj-$(CONFIG_SENSORS_TPS546D24)	+= tps546d24.o
obj-$(CONFIG_SENSORS_UCD9000)	+= ucd9000.o
obj-$(CONFIG_SENSORS_UCD9200)	+= ucd9200.o
obj-$(CONFIG_SENSORS_XDP710)	+= xdp710.o
obj-$(CONFIG_SENSORS_XDPE122)	+= xdpe12284.o
obj-$(CONFIG_SENSORS_XDPE152)	+= xdpe152c4.o
obj-$(CONFIG_SENSORS_ZL6100)	+= zl6100.o
obj-$(CONFIG_SENSORS_PIM4328)	+= pim4328.o

=== debian/changelog ===
linux-liquorix (6.12-7~mx21ahs+1) mx; urgency=medium

  * Refresh and add missing force_march=x86-64_to_fix_dkms_FTB.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 27 Dec 2024 12:23:04 -0800

linux-liquorix (6.12-7~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * Go back to using xz for kernel and module compression now that Tim has 
    fixed builds for gcc-10.
  * Add fix_FTBFS_on_gcc-10.patch courtesy of Tim.
  * debian/rules: Add "export CONFIG_X86_64_VERSION=1" to fix new FTBFS on 
    Bullseye, also fixed by Tim.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 22 Dec 2024 06:04:36 -0800

linux-liquorix (6.12-7ubuntu1~jammy) jammy; urgency=medium

  * merge v6.12.6
  * pass amd_pstate=disable to cmdline by default
  * update version to 6.12.6-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 20 Dec 2024 13:37:34 -0600

linux-liquorix (6.12-6) unstable; urgency=medium

  * merge v6.12.5
  * update version to 6.12.5-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 14 Dec 2024 18:02:15 -0600

linux-liquorix (6.12-5) unstable; urgency=medium

  * merge v6.12.4
  * update version to 6.12.4-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 09 Dec 2024 09:32:36 -0600

linux-liquorix (6.12-4) unstable; urgency=medium

  * add fixes for sched ext support (doesn't affect Liquorix)
  * remove minimum TTL optimization for MG-LRU, causes excessive swapping
  * update version to 6.12.2-3

 -- Steven Barrett <steven@liquorix.net>  Thu, 05 Dec 2024 17:46:15 -0600

linux-liquorix (6.12-3) unstable; urgency=medium

  * restore proactive compaction with default value of 20
  * update version to 6.12.2-2

 -- Steven Barrett <steven@liquorix.net>  Thu, 05 Dec 2024 16:27:38 -0600

linux-liquorix (6.12-2) unstable; urgency=medium

  * merge v6.12.2
  * update version to 6.12.2-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 05 Dec 2024 10:17:10 -0600

linux-liquorix (6.12-1) unstable; urgency=medium

  * switch kernel base to v6.12
  * merge v6.12.1
  * refresh config for v6.12
  * update version to 6.12.1-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 01 Dec 2024 11:08:15 -0600

linux-liquorix (6.11-15) unstable; urgency=medium

  * merge 6.11.10-1
  * update version to 6.11.10-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 22 Nov 2024 10:34:50 -0600

linux-liquorix (6.11-14) unstable; urgency=medium

  * merge 6.11.9-1
  * update version to 6.11.9-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 17 Nov 2024 11:03:25 -0600

linux-liquorix (6.11-13) unstable; urgency=medium

  * merge 6.11.8-1
  * reapply "ZEN: mm: Stop kswapd early when nothing's waiting for it to free pages"
  * update version to 6.11.8-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 14 Nov 2024 09:29:09 -0600

linux-liquorix (6.11-12) unstable; urgency=medium

  * disable CONFIG_ZSWAP_DEFAULT_ON
  * update version to 6.11.7-2

 -- Steven Barrett <steven@liquorix.net>  Fri, 08 Nov 2024 15:08:08 -0600

linux-liquorix (6.11-11) unstable; urgency=medium

  * merge v6.11.7
  * update version to 6.11.7-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 08 Nov 2024 12:16:00 -0600

linux-liquorix-2.6 (2.6.34-47) unstable; urg

=== debian/control ===
Source: linux-liquorix
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Standards-Version: 3.9.8
Build-Depends: debhelper, cpio, python3-six, bc, bison, libelf-dev, libpfm4-dev, libssl-dev, flex, xz-utils, pahole | dwarves:native, pkgconf | pkg-config, systemtap-sdt-dev, libcap-dev, libpci-dev, asciidoctor, libaudit-dev, libbabeltrace-dev, libdw-dev, libiberty-dev, libnewt-dev, libnuma-dev, libperl-dev, libtraceevent-dev, libunwind-dev, python3-dev, python3-setuptools, gcc [amd64]
Homepage: http://www.liquorix.net/
Vcs-Browser: https://github.com/damentz/liquorix-package
Vcs-Git: https://github.com/damentz/liquorix-package.git
XSBC-Original-Maintainer: Steven Barrett <steven@liquorix.net>

Package: linux-image-6.12.6-1-liquorix-amd64
Architecture: amd64
Provides: wireguard-modules
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools [amd64] | linux-initramfs-tool [amd64]
Recommends: ${kernel:Recommends}, firmware-linux-free | linux-firmware, firmware-linux-nonfree | linux-firmware
Suggests: linux-doc-6.12, crda [amd64], grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Description: Linux 6.12 for 64-bit PCs
 The Linux kernel 6.12 and modules for use on PCs with AMD64 or Intel 64
 processors.

Package: linux-image-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-image-6.12.6-1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-liquorix-amd64 (= ${binary:Version})
Description: Linux image for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Provides: linux-headers
Depends: linux-headers-6.12.6-1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-6.12.6-1-liquorix-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, gcc
Description: Header files for Linux 6.12.6-1-liquorix-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.12.6-1-liquorix-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.12.6-1-liquorix-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.12.6-1-liquorix-amd64 package.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 VERSION := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
 VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')
 VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -ne 's,.*+b\(.*\)$$,\1,p')
+
 export CONFIG_X86_64_VERSION=1
 
 include debian/rules.defs

## linux-liquorix 6.13

=== debian/changelog ===
linux-liquorix (6.13-9~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 29 Mar 2025 13:39:17 -0700

linux-liquorix (6.13-9ubuntu1~jammy) jammy; urgency=medium

  * backport TLB optimizations for context switching from v6.14
   - x86/mm/tlb: Update mm_cpumask lazily
   - x86/mm/tlb: Add tracepoint for TLB flush IPI to stale CPU
   - x86/mm/tlb: Also remove local CPU from mm_cpumask if stale
   - x86/mm/tlb: Only trim the mm_cpumask once a second
  * update version to 6.13.8-4

 -- Steven Barrett <steven@liquorix.net>  Fri, 28 Mar 2025 21:51:52 -0500

linux-liquorix (6.13-8) unstable; urgency=medium

  * sync missing upstream change to Project-C
   - lazy tlb: introduce lazy tlb mm refcount helper functions
  * update version to 6.13.8-3

 -- Steven Barrett <steven@liquorix.net>  Fri, 28 Mar 2025 13:19:29 -0500

linux-liquorix (6.13-7) unstable; urgency=medium

  * restore default time slice shift value for PDS
  * update version to 6.13.8-2

 -- Steven Barrett <steven@liquorix.net>  Thu, 27 Mar 2025 11:44:10 -0500

linux-liquorix (6.13-6) unstable; urgency=medium

  * merge v6.13.8
  * update version to 6.13.8-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 22 Mar 2025 16:06:34 -0500

linux-liquorix (6.13-5) unstable; urgency=medium

  * add experimental Project-C fix for priority inversion on overloaded queues
  * update version to 6.13.7-2

 -- Steven Barrett <steven@liquorix.net>  Mon, 17 Mar 2025 08:30:01 -0500

linux-liquorix (6.13-4) unstable; urgency=medium

  * merge v6.13.7
  * backport Project-C fixes
   - sched/alt: [Sync] b55945c sched: Fix pick_next_task_fair() vs
     try_to_wake_up() race
   - sched/bmq: Fix boot hang issue.
  * fix build error with Project-C
   - sched/alt: Remove lazy preemption support through tracing
  * update version to 6.13.7-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 13 Mar 2025 10:20:13 -0500

linux-liquorix (6.13-3) unstable; urgency=medium

  * merge v6.13.6
  * fix build error when CONFIG_PREEMPT_DYNAMIC is enabled
  * port upstream sched/core change to Project-C
   - sched/core: Prevent rescheduling when interrupts are disabled
  * update version to 6.13.6-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 07 Mar 2025 13:14:35 -0600

linux-liquorix (6.13-2) unstable; urgency=medium

  * remove support for Project-C + lazy preemption through Kconfig
  * add patch to fix EDAC log spam
   - EDAC/igen6: Fix the flood of invalid error reports
  * update version to 6.13.5-2

 -- Steven Barrett <steven@liquorix.net>  Tue, 04 Mar 2025 16:20:32 -0600

linux-liquorix (6.13-1) unstable; urgency=medium

  * switch to kernel v6.13
  * merge v6.13.5
  * drop invalid ELF header magic error demotion patch
  * use custom port of Project-C v6.12-r1 for v6.13
  * update version to 6.13.5-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 01 Mar 2025 13:22:57 -0600

linux-liquorix (6.12-22) unstable; urgency=medium

  * merge v6.12.17
  * update version to 6.12.17-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 27 Feb 2025 08:04:02 -0600

linux-liquorix (6.12-21) unstable; urgency=medium

  * merge v6.12.16
  * update version to 6.12.16-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 21 Feb 2025 09:32:37 -0600

linux-liquorix (6.12-20) unstable; urgency=medium

  * merge v6.12.15
  * update version to 6.12.15-1

 -- Steven Barrett <steven@liquorix.net>  Tue, 18 Feb 2025 12:04:49 -0600

linux-liquorix (6.12-19) unstable; urgency=medium

  * merge v6.12.14
  * add ntsync patch to set /dev/ntsync to 0666
  * update version to 6.12.14-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 17 Feb 2025 09:44:57 -0600

linux-liquorix (6.12-18) unstable; urgency=medium

  * revert invlpgb patch set to v8 due to kernel OOPS
  * update version to 6.12.13-2

 -- Steven Barrett <steven@liquorix.net>  Sat, 08 Feb 2025 13:39:21 -0600

linux-liquorix (6.12-17) unstable; urgency=medium

  * merge 6.12.13
  * update invlpgb patch from v8 to v9
  * update version to 6.12.13-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 08 Feb 2025 13:11:31 -0600

linux-liquorix (6.12-16) unstable; urgency=medium

  * update invlpgb patch from v7 to v8
  * update version to 6.12.12-2

 -- Steven Barrett <steven@liquorix.net>  Wed, 05 Feb 2025 14:51:12 -0600

linux-liquorix (6.12-15) unstable; urgency=medium

  * merge v6.12.12
  * update version to 6.12.12-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 02 Feb 2025 10:37:00 -0600

linux-liquorix (6.12-14) unstable; urgency=medium

  * fix build failure with INVLPGB v7 patch set
  * refresh config for v6.12.11
  * update version to 6.12.11-2

 -- Steven Barrett <steven@liquorix.net>  Sat, 25 Jan 2025 13:30:09 -0600

linux-liquorix (6.12-13) unstable; urgency=medium

  * merge v6.12.11
  * update AMD INVLPGB TLB flushing patch set to v7
  * update version to 6.12.11-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 25 Jan 2025 12:59:45 -0600

linux-liquorix (6.12-12) unstable; urgency=medium

  * merge v6.12.10
  * update version to 6.12.10-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 17 Jan 2025 10:01:02 -0600

linux-liquorix (6.12-11) unstable; urgency=medium

  * merge v6.12.9
  * update version to 6.12.9-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 09 Jan 2025 09:06:51 -0600

linux-liquorix (6.12-10) unstable; urgency=medium

  * merge v6.12.8
  * add version to provided wireguard module in debian package
  * update version to 6.12.8-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 02 Jan 2025 21:01:18 -0600

linux-liquorix (6.12-9) unstable; urgency=medium

  * add AMD INVLPGB TLB flushing optimization
  * update version to 6.12.7-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 29 Dec 2024 15:31:57 -0600

linux-liquorix (6.12-8) unstable; urgency=medium

  * merge v6.12.7
  * update version to 6.12.7-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 27 Dec 2024 13:32:36 -0600

linux-liquorix (6.12-7) unstable; urgency=medium

  * merge v6.12.6


=== debian/control ===
Source: linux-liquorix
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Standards-Version: 3.9.8
Build-Depends: debhelper, cpio, python3-six, bc, bison, libelf-dev, libpfm4-dev, libssl-dev, flex, xz-utils, zstd, pahole | dwarves:native, pkgconf | pkg-config, systemtap-sdt-dev, libcap-dev, libpci-dev, asciidoctor, libaudit-dev, libbabeltrace-dev, libdw-dev, libiberty-dev, libnewt-dev, libnuma-dev, libperl-dev, libtraceevent-dev, libunwind-dev, python3-dev, python3-setuptools, gcc [amd64]
Homepage: http://www.liquorix.net/
Vcs-Browser: https://github.com/damentz/liquorix-package
Vcs-Git: https://github.com/damentz/liquorix-package.git
XSBC-Original-Maintainer: Steven Barrett <steven@liquorix.net>

Package: linux-image-6.13.8-4-liquorix-amd64
Architecture: amd64
Provides: wireguard-modules (= 1.0.0), wireguard-modules (= 1.0.0)
Depends: kmod, zstd, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools [amd64] | linux-initramfs-tool [amd64], linux-base (>= 4.3~)
Recommends: ${kernel:Recommends}, firmware-linux-free | linux-firmware, firmware-linux-nonfree | linux-firmware
Suggests: linux-doc-6.13, crda [amd64], grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Description: Linux 6.13 for 64-bit PCs
 The Linux kernel 6.13 and modules for use on PCs with AMD64 or Intel 64
 processors.

Package: linux-image-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-image-6.13.8-4-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}, linux-image-6.13.8-4-liquorix-amd64 (= ${binary:Version})
Recommends: linux-headers-liquorix-amd64 (= ${binary:Version}), linux-headers-liquorix-amd64 (= ${binary:Version})
Description: Linux image for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Provides: linux-headers
Depends: linux-headers-6.13.8-4-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}, linux-headers-6.13.8-4-liquorix-amd64 (= ${binary:Version})
Description: Linux headers for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-6.13.8-4-liquorix-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, gcc
Description: Header files for Linux 6.13.8-4-liquorix-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.13.8-4-liquorix-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.13.8-4-liquorix-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.13.8-4-liquorix-amd64 package.
